Summary:	X.org video drivers for XGI adapters
Summary(pl.UTF-8):	Sterowniki obrazu X.org do kart graficznych XGI
Name:		xorg-driver-video-xgi
Version:	1.6.1
Release:	5
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgi-%{version}.tar.bz2
# Source0-md5:	103a17936676318b4b09af94dbc420a9
Patch0:		%{name}-build.patch
Patch1:		xserver-1.19.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.1.0
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-libdri >= 1.1.0
Requires:	xorg-xserver-libglx >= 1.1.0
Requires:	xorg-xserver-server >= 1.1.0
Provides:	xorg-driver-video
Obsoletes:	XFree86-driver-xgi < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video drivers for XGI adapters:
- Volari V3XT/V3XE/V5/V8
- Volari Z7/Z9/Z9s/Z11

%description -l pl.UTF-8
Sterowniki obrazu X.org do kart graficznych XGI:
- Volari V3XT/V3XE/V5/V8
- Volari Z7/Z9/Z9s/Z11

%prep
%setup -q -n xf86-video-xgi-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/xgi_drv.so
%{_mandir}/man4/xgi.4*
%changelog
* Mon May 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-xgi.git;a=log;h=master

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 3830067
- release 5 (by relup.sh)

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 40da646
- fix building with xserver 1.19
- rel 4

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 2f433ce
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f20aa4d
- release 2 (by relup.sh)

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 75cee9c
- updated to 1.6.1
- added build patch (missing headers + open() mode bugfix)

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b023113
- release 4

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> d086ce3
- xorg-driver-video virtual for video drivers
- release 3

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 89a0538
- release 2

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> bdc8be6
- BR: xorg-proto-xf86dgaproto-devel

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> fe277a3
- added COPYING and README to docs
- updated deps and hardware list

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 029872f
- drop

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2534f50
- up to 1.6.0

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a364d07
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> f9c30b7
- BR: xorg-proto-glproto-devel, xorg-proto-xf86dgaproto-devel,
  xorg-proto-xf86driproto-devel
- dropped BR: xorg-proto-xf86miscproto-devel

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c08c740
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6420e9a
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2176ec0
- up to 1.5.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4902dc7
- release 5

* Sat Dec 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 53fd9c4
- R: xorg libdri,libglx
- added open,cpp patches

* Sat Dec 27 2008 Jakub Bogusz <qboosh@pld-linux.org> a7395ad
- fix open() flags

